export declare const prefix = "[viteburner]";
export declare function formatNormal(first?: string, second?: string, third?: string): string;
export declare function formatWarn(msg: string): string;
export declare function formatError(msg: string): string;
export declare function createLogger(): {
    base: import("vite").Logger;
    info: (...msg: string[]) => void;
    warn: (...msg: string[]) => void;
    error: (...msg: string[]) => void;
};
export declare const logger: {
    base: import("vite").Logger;
    info: (...msg: string[]) => void;
    warn: (...msg: string[]) => void;
    error: (...msg: string[]) => void;
};
export interface KeyInfo {
    sequence: string;
    name: string;
    ctrl: boolean;
    meta: boolean;
    shift: boolean;
}
export interface KeyHandlerContext {
    str: string;
    key: KeyInfo;
    on(): void;
    off(): void;
}
export declare type KeypressHandler = (ctx: KeyHandlerContext) => void | Promise<void>;
export declare function onKeypress(handler: KeypressHandler): void;
