import { HmrData, ViteBurnerServer } from '..';
import { WsManager } from './manager';
/** Enforce starting slash */
export declare const forceStartingSlash: (s: string) => string;
/** Enforce starting slash if file is not in root dir */
export declare const fixStartingSlash: (s: string) => string;
/** Remove starting slash on download */
export declare const removeStartingSlash: (s: string) => string;
export declare const formatDump: (from: string, to: string) => {
    styled: string;
    raw: string;
};
export declare const formatUpload: (from: string, to: string, serverName: string) => {
    styled: string;
    raw: string;
};
export declare const formatDownload: (from: string, to: string, serverName: string) => {
    styled: string;
    raw: string;
};
export declare const defaultUploadLocation: (file: string) => string;
export declare const resolveHmrData: (data: HmrData) => {
    filename: string;
    server: string;
}[];
export interface FileContent {
    filename: string;
    content: string;
}
export interface ResolvedDataItem {
    filename: string;
    server: string;
}
export declare type ResolvedData = ResolvedDataItem[];
export declare const defaultDownloadLocation: (file: string) => string;
export declare const defaultDts = "NetscriptDefinitions.d.ts";
export declare class WsAdapter {
    buffers: Map<string, HmrData>;
    manager: WsManager;
    server: ViteBurnerServer;
    resolvedDts: string | undefined;
    constructor(manager: WsManager, server: ViteBurnerServer);
    resolveDts(): string | undefined;
    getDts(): Promise<void>;
    handleHmrMessage(data?: HmrData | HmrData[]): Promise<void>;
    deleteCache(data: HmrData): void;
    dumpFile(data: HmrData, content: string): Promise<void>;
    fetchModule(data: HmrData): Promise<string>;
    uploadFile(data: HmrData): Promise<void>;
    fullDownload(): Promise<void>;
    getRamUsage(pattern?: string): Promise<void>;
    getRamUsageLocalData(file: string): {
        filename: string;
        server: string;
    }[];
    getRamUsageLocalRaw(file: string, resolvedData: ResolvedData): Promise<boolean>;
    getRamUsageLocal(file: string): Promise<boolean>;
    getRamUsageRemote(server: string, filename: string): Promise<void>;
    getFileNames(server: string): Promise<string[] | null>;
}
